%define libname    ocaml-%{name}
%define libdevname ocaml-%{name}-devel

Name:           caml2html
Version:        1.4.4
Release:        %mkrel 12
Summary:        Highlight OCaml code by adding some color
License:        GPLv2
Group:          Development/OCaml
URL:            https://mjambon.github.io/mjambon2016/caml2html.html
Source0:        https://github.com/mjambon/caml2html/archive/v%{version}/%{name}-%{version}.tar.gz
BuildRequires:  ocaml-findlib
BuildRequires:  camlmix
BuildRequires:  ocaml-rpm-macros

Patch0:		caml2html-1.4.3-enable-debugging-information.patch

%description
The caml2html package provides an executable that highlight OCaml code
by adding some color. With the caml2html program, you can produce
ready-to-go HTML files.

%package -n     %{libname}
Summary:        Development files for %{libname}
Group:          Development/OCaml

%description -n %{libname}
The %{libname} package provides a library that highlight OCaml code
by adding some color. With the caml2html program, you can produce
ready-to-go HTML files.

%package -n     %{libdevname}
Summary:        Development files for %{libname}
Group:          Development/OCaml
Requires:       %{libname} = %{version}-%{release}

%description -n %{libdevname}
The %{libdevname} package contains libraries and signature files for
developing applications that use %{libname}.

%prep
%setup -q
%autopatch -p1

%build
%ifarch %{ocaml_native_compiler}
	make opt bytelib
%else
	make byte bytelib
	mv caml2html.byte caml2html
%endif

%install
export DESTDIR=%{buildroot}
export OCAMLFIND_DESTDIR=%{buildroot}/%{_libdir}/ocaml
mkdir -p $OCAMLFIND_DESTDIR/Icaml2html
mkdir -p %{buildroot}%{_bindir}
%make_install BINDIR=%{buildroot}%{_bindir}

%ocaml_files

%files
%doc README.md history.txt TODO
%license LICENSE
%{_bindir}/caml2html

%files -n %{libname} -f .ofiles
%doc README.md history.txt TODO
%license LICENSE

%files -n %{libdevname} -f .ofiles-devel



%changelog
* Tue Apr 29 2025 pterjan <pterjan> 1.4.4-12.mga10
+ Revision: 2180059
- Fix build on non native architectures
- Rebuild for OCaml 5.3
+ danf <danf>
- Update URL

* Thu May 19 2022 pterjan <pterjan> 1.4.4-11.mga9
+ Revision: 1858888
- Rebuild for OCaml 4.14

* Tue Mar 29 2022 umeabot <umeabot> 1.4.4-10.mga9
+ Revision: 1832535
- Mageia 9 Mass Rebuild

* Fri Oct 15 2021 tv <tv> 1.4.4-9.mga9
+ Revision: 1751565
- Rebuild for ocaml 4.13.1

* Wed Mar 03 2021 tv <tv> 1.4.4-8.mga9
+ Revision: 1697258
- rebuild for ocaml-4.2-12

* Fri Feb 28 2020 umeabot <umeabot> 1.4.4-7.mga8
+ Revision: 1551121
- Rebuild for ocaml 4.10.0 final

* Wed Feb 19 2020 umeabot <umeabot> 1.4.4-6.mga8
+ Revision: 1544302
- Mageia 8 Mass Rebuild

* Sat Jan 25 2020 tv <tv> 1.4.4-5.mga8
+ Revision: 1482770
- rebuild for ocaml-4.10

* Tue Oct 23 2018 tv <tv> 1.4.4-4.mga7
+ Revision: 1324017
- rebuild with ocaml-4.07.1

* Mon Oct 22 2018 pterjan <pterjan> 1.4.4-3.mga7
+ Revision: 1323711
- Rebuild for ocaml 4.07

* Sat Sep 22 2018 umeabot <umeabot> 1.4.4-2.mga7
+ Revision: 1295951
- Mageia 7 Mass Rebuild

* Fri Mar 23 2018 kekepower <kekepower> 1.4.4-1.mga7
+ Revision: 1211683
- Update to version 1.4.4
- Rediffed patch

* Sun Nov 26 2017 tv <tv> 1.4.3-9.mga7
+ Revision: 1179444
- rebuild for new ocaml

* Tue Sep 26 2017 daviddavid <daviddavid> 1.4.3-8.mga7
+ Revision: 1160024
- add patch to enable debugging information thus fixing empty debugsourcefiles.list
- fix License

* Thu Feb 04 2016 umeabot <umeabot> 1.4.3-7.mga6
+ Revision: 935942
- Mageia 6 Mass Rebuild

* Sun Jan 31 2016 pterjan <pterjan> 1.4.3-6.mga6
+ Revision: 929652
- Rebuild for new ocaml

* Wed Oct 15 2014 umeabot <umeabot> 1.4.3-5.mga5
+ Revision: 745889
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.4.3-4.mga5
+ Revision: 678300
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.4.3-3.mga4
+ Revision: 503191
- Mageia 4 Mass Rebuild

* Fri Jan 11 2013 umeabot <umeabot> 1.4.3-2.mga3
+ Revision: 347367
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Nov 20 2012 blue_prawn <blue_prawn> 1.4.3-1.mga3
+ Revision: 319838
- updated to last version 1.4.3
- updated to last version 1.4.3
- updated to last version 1.4.3

* Mon Oct 01 2012 blue_prawn <blue_prawn> 1.4.1-2.mga3
+ Revision: 301796
- build requires camlmix
- adapt for ocaml 4.00 (Hashtbl.create)
- rebuild for new ocaml 4.00

* Sun Jun 24 2012 blue_prawn <blue_prawn> 1.4.1-1.mga3
+ Revision: 262955
- imported package caml2html

